#!/usr/bin/env python3
import argparse
import logging
from pathlib import Path

from .site_generator import SiteGenerator

logger = logging.getLogger(__name__)

def generate(source_dir:Path, build_dir: Path):

    generator = SiteGenerator(source_dir, build_dir)
    generator.run()
    
def main_cli():
    parser = argparse.ArgumentParser()
    parser.add_argument(
        "--build_dir",
        type=Path,
        help="Path to the build output",
    )
    parser.add_argument(
        "--source_dir", type=Path, default=Path(),
        help="Site source directory")
    
    args = parser.parse_args()
    generate(args.source_dir, args.build_dir)

if __name__ == "__main__":
    main_cli()
