from pathlib import Path
import os

from markdown_it import MarkdownIt

class SiteGenerator():

    def __init__(self, source_dir: Path,
                 build_dir: Path):
        self.source_dir = source_dir
        self.build_dir = build_dir
        self.parser = MarkdownIt()

    def run(self):

        for md_file in self.source_dir.glob('**/*.md'):
            with open(md_file, 'r', encoding='utf-8') as f:
                md_src = f.read()

            html_path = self.build_dir / (str(md_file.stem) + ".html")
            os.makedirs(html_path.parent, exist_ok=True)

            html_src = self.parser.render(md_src)
            with open(html_path, 'w', encoding='utf-8') as f:
                f.write(html_src)

    
